QGIS Application - Bug report #14932
"NULL" text in null field should disappear as soon as a field gets the focus
2016-05-31 07:15 PM - Patrick Dunford

Status: Open

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:3.7(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22883
Description

When | enter a value into a form or table all the fields are set to Null to begin with. When | type into the field the displayed word NULL turns
into the text NULL. This means | have to select and delete that text if | don't want NULL appearing in that field.

The display of the word NULL in an empty field should not be with actual text that just makes extra work when entering data into fields.

History

#1 - 2016-06-27 01:05 AM - Matthias Kuhn
- Status changed from Open to Feedback

In "Settings" -> "Options" -> "General" -> "Data Sources" the representation for NULL values can be changed (to e.g. an empty string).

Does that fix your issue?

#2 - 2016-06-27 01:12 AM - Harrissou Santanna
- Operating System deleted (Linux Mint)
- OS version deleted (17.3)

It might do the trick but having NULL shown in a field can be handy.
Is that not possible to clear the field content (if NULL) once the user begins typing value (or clicks inside the cell) instead of appending the new text to
'NULL'? This will ease attribute filling imho.

#3 - 2017-01-03 07:12 AM - Giovanni Manghi
- Resolution set to fixed/implemented

- Category set to Attribute table

- Status changed from Feedback to Closed

This seems to have been anyway addressed in QGIS 2.18. Here on 2.18.2 when | move with TAB or click on a cell that has "NULL" this automatically
disappear, with no need to select and delete it before filling the cell with actual content.

#4 - 2017-11-09 12:35 AM - gcarrillo -
- Resolution deleted (fixed/implemented)
- Subject changed from "NULL" text in null field should not be actual text to "NULL" text in null field should dissapear as soon as a field gets the focus
- Description updated

- Status changed from Closed to Reopened

- Affected QGIS version changed from 2.14.2 to master

Reopened as this still happens in QGIS master (v2.99).

This happens in forms as well. You end up easily entering values like NULLmy value because of this issue.

#5 - 2017-11-09 12:37 AM - gcarrillo -

- Subject changed from "NULL" text in null field should dissapear as soon as a field gets the focus to "NULL" text in null field should disappear as soon

as a field gets the focus

#6 - 2017-11-13 01:23 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

gcarrillo - wrote:

Reopened as this still happens in QGIS master (v2.99).

This happens in forms as well. You end up easily entering values like NULLmy value because of this issue.

| cannot confirm on the latest master on osgeo4w.

#7 - 2018-02-22 01:42 PM - Giovanni Manghi
- Status changed from Feedback to Closed
- Resolution set to not reproducable

Closing for lack of feedback, please reopen if necessary.

#8 - 2018-03-12 05:50 PM - gcarrillo -
- File null_values.gif added
- Status changed from Closed to Reopened

Still happening in master (commit:ea0c7058a5ca0e4589f67a0b757c139837755246).

| attached a GIF to illustrate the issue.

#9 - 2019-03-09 04:10 PM - Giovanni Manghi
- Resolution changed from not reproducable to end of life
- Status changed from Reopened to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#10 - 2019-04-29 10:26 PM - gcarrillo -

- Resolution deleted (end of life)

- File null_values_2.gif added

- Category changed from Attribute table to Forms

- Status changed from Closed to Reopened

- Affected QGIS version changed from master to 3.7(master)

Just tested this in QGIS master 3.7 and it's still happening.

| attach a GIF showing the issue, which seems to be solved for string fields but not for numeric and date fields.

Reopening, since BSF Swissphoto will fund this fix.

#11 - 2019-05-01 05:53 PM - Giovanni Manghi

- Status changed from Reopened to Open

Files

null_values.gif 3.86 MB 2018-03-12 gcarrillo -

null_values_2.gif 85.6 KB 2019-04-29 gcarrillo -
